cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrading 2.3.3 and Google play store problem

Anonymous
Not applicable

Hi

 

I recently done an update of my phone and it is version 2.3.3. Is there not a newer version of this for the HTC Desire s?

 

If so how can I doneload this. Also had a few issues trying to download tinder, I keep getting message this browser is no longer supported please use google play store app to access google play. When I click on this I get message saying Missing ID - No ID passed with URI?

 

Checked in apps I don't see Google play store. Do I need to download that first?

 

Thanks

 

Andrew

Message 1 of 3
23,564 Views
1 ACCEPTED SOLUTION

Accepted Solutions

MI5
Level 94: Supreme
  • 120718 Posts
  • 605 Topics
  • 18184 Solutions
Registered:
Nothing much still supports 2.3.3 as it's a good few years old.
I'd look for a custom ROM on XDA or upgrade your phone if it were me.
I have no affiliation whatsoever with O2 or any subsidiary companies. Comments posted are entirely of my own opinion. This is not Customer Service so we are unable to help with account specific issues.

Currently using:
OnePlus 6 (O2 & Sfr), Z3 Tablet (Three UK), iPhone 8+ (EE)

View solution in original post

Message 2 of 3
23,562 Views
2 REPLIES 2

MI5
Level 94: Supreme
  • 120718 Posts
  • 605 Topics
  • 18184 Solutions
Registered:
Nothing much still supports 2.3.3 as it's a good few years old.
I'd look for a custom ROM on XDA or upgrade your phone if it were me.
I have no affiliation whatsoever with O2 or any subsidiary companies. Comments posted are entirely of my own opinion. This is not Customer Service so we are unable to help with account specific issues.

Currently using:
OnePlus 6 (O2 & Sfr), Z3 Tablet (Three UK), iPhone 8+ (EE)

View solution in original post

Message 2 of 3
23,563 Views

Anonymous
Not applicable
Your going to need ICS 4.0 at least for anything these days
Message 3 of 3
23,559 Views